Gentoo Logo

UW IMAP: CRAM-MD5 authentication bypass

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200502-02 / uw-imap
Release Date February 02, 2005
Latest Revision May 22, 2006: 02
Impact normal
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
net-mail/uw-imap <= 2004a >= 2004b All supported architectures

Related bugreports: #79874

Synopsis

UW IMAP contains a vulnerability in the code handling CRAM-MD5 authentication allowing authentication bypass.

2.  Impact Information

Background

UW IMAP is the University of Washington IMAP toolkit which includes POP3 and IMAP daemons.

Description

A logic bug in the code handling CRAM-MD5 authentication incorrectly specifies the condition for successful authentication.

Impact

An attacker could exploit this vulnerability to authenticate as any mail user on a server with CRAM-MD5 authentication enabled.

3.  Resolution Information

Workaround

Disable CRAM-MD5 authentication.

Resolution

All UW IMAP users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-mail/uw-imap-2004b"

4.  References



Print

Page updated February 02, 2005

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.